Bug 1876472 (CVE-2020-3900)

Summary: CVE-2020-3900 webkitgtk: Memory corruption triggered by a malicious web content
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erack, mcatanza, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: webkitgtk 2.28.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-29 22:02:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1877119, 1877358    
Bug Blocks: 1876477    

Description Tomas Hoger 2020-09-07 09:52:06 UTC
WebKitGTK Security Advisory WSA-2020-0005 describes the following issue:

CVE-2020-3900

Impact: Processing maliciously crafted web content may lead to arbitrary code execution. Description: A memory corruption issue was addressed with improved memory handling

Versions affected: WebKitGTK before 2.28.0 and WPE WebKit before 2.28.0.

Comment 1 Tomas Hoger 2020-09-07 09:52:11 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0005.html

Comment 3 errata-xmlrpc 2020-09-29 20:46:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 4 Product Security DevOps Team 2020-09-29 22:02:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-3900

Comment 5 errata-xmlrpc 2020-11-04 01:03:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451